/*
 * This file belongs to the XQuark distribution.
 * Copyright (C) 2003 Universite de Versailles Saint-Quentin.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307.
 * You can also get it at http://www.gnu.org/licenses/lgpl.html
 * 
 * For more information on this software, see http://www.xquark.org.
 */

package org.xquark.extractor.common;


public  class Debug {
	private static final String RCSRevision = "$Revision: 1.4 $";
	private static final String RCSName     = "$Name:  $";


	static final String NEWLINE = System.getProperty("line.separator");

	public static void assertTrue (boolean predicate  , String message) {
		if ( !predicate ) {
			throw new AssertionException (message) ;
		}
	}

//    public static void assert (String functionName, boolean predicate, String message)
//    {
//        if ( !predicate )
//        {
//            throw new AssertionException ("Function Name : " + functionName + " -- " + message) ;
//        }
//    }

	public static void nyi (String message)
	{
		throw new DebugException("not yet implemented : " + message);
	}

//	public static void disable(String date)
//	{
//		throw new DebugException ("The following code is disabled in " + date) ;
//	}

//	public static void showResultSet (ResultSet resultSet )
//	{
//		StringBuffer retVal = new StringBuffer();
//		char[] spaces =
//			(new String("                                            ")).toCharArray();
//
//		try {
//			ResultSetMetaData metaData = resultSet.getMetaData();
//
//			System.err.println ( "< ============== SQL Query result ============ >" );
//			if (null != resultSet) {
//				int numberOfColumns = metaData.getColumnCount();
//				retVal.append("RowNo | " );
//				for (int i = 1; i <= numberOfColumns; i++) {
//					if (i > 1) {
//						retVal.append(",\t" );
//					}
//					retVal.append(metaData.getColumnName(i));
//				}
//				System.err.println (retVal) ;
//				System.err.println ("--------------------------------------------" ) ;
//
//				long rowNo = 0;
//				String rowNoString = null;
//
//				while (resultSet.next()) {
//					retVal = new StringBuffer();
//
//					rowNo ++ ;
//					rowNoString = Long.toString(rowNo);
//					retVal.append(rowNoString);
//					if (rowNoString.length()< 5) {
//					   retVal.append(spaces, 0, 5 - rowNoString.length());
//					}
//					retVal.append(" | ");
//
//					for (int i = 1; i <= numberOfColumns; i++) {
//						if (i > 1) {
//							retVal.append(",\t" );
//						}
//						retVal.append(resultSet.getString(i));
//					}
//					System.err.println (retVal) ;
//				}
//			}
//			else
//			{
//
//			}
//			System.err.println ( "</ ============= SQL Query result ============ >" );
//
//		}
//		catch (SQLException ex) {
//			System.err.print( ex.getMessage() ) ;
//		}
//	}

	/**
	 * compare two file
	 * @return 0 : if the two file is identical.
	 *         index of the first different byte
	 */
//	public static long  compareFile (String fileName1,String fileName2 ) throws IOException {
//		FileInputStream f1 = new FileInputStream(fileName1);
//		FileInputStream f2 = new FileInputStream(fileName2);
//
//		int c1 , c2 ;
//		boolean isEqual = true;
//		long counter = 0 ;
//		do {
//			counter ++ ;
//			c1 = f1.read();
//			c2 = f2.read();
//			if (c1 != c2) {
//				isEqual = false;
//				break;
//			}
//		} while (c1 != -1 && c2 != -1);
//
//		f1.close();
//		f2.close();
//
//		if (isEqual) {
//			return 0;
//		}
//		else {
//			return counter;
//		}
//	}

//	static public String pprint(Map map) {
//
//		StringBuffer retVal = new StringBuffer();
//		retVal.append(NEWLINE);
//		retVal.append("<================ ");
//		retVal.append(map.toString());
//		retVal.append(" ================>");
//		retVal.append(NEWLINE);
//		Object keyList[] = map.keySet().toArray();
//		Object key = null;
//		Object value = null;
//
//		for (int i = 0; i < keyList.length; i++) {
//			key = keyList[i];
//			retVal.append(Integer.toString(i));
//			retVal.append("\t");
//
//			retVal.append(key.toString());
//			retVal.append("\t\t");
//
//			value = map.get(key);
//			retVal.append(value.toString());
//			retVal.append(NEWLINE);
//		}
//
//		retVal.append("<================ ");
//		retVal.append(map.toString());
//		retVal.append(" ================>");
//
//		return retVal.toString();
//	}

}
