(:
For each item whose highest bid is more than twice its reserve price, list the item number, description, reserve price, and highest bid.
:)
import schema namespace bid = "http://www.xquark.org/XQuery/use-cases/bids" at "bids.xsd"

<result>
  {
    for $item in collection("items")/*:items
    let $b := doc("bids.xml")/bid:bids/bid_tuple[itemno = $item/itemno]
    where $item/reserve_price * 2 < max($b/bid)
    return
        <successful_item>
            { $item/itemno }
            { $item/description }
            { $item/reserve_price }
            <high_bid>{ max($b/bid) }</high_bid>
        </successful_item>
 }
</result>
