(:
For each user who has placed a bid, give the userid, name, number of bids, and average bid, in order by userid
:)
import schema namespace bid = "http://www.xquark.org/XQuery/use-cases/bids" at "bids.xsd"

<result>
  {
    for $uid in distinct-values(doc("bids.xml")/bid:bids/bid_tuple/userid),
        $u in collection("users")/*:users[userid = $uid]
    let $b := doc("bids.xml")/bid:bids/bid_tuple[userid = $uid]
    return
        <bidder>
            { $u/userid }
            { $u/name }
            <bidcount>{ count($b) }</bidcount>
            <avgbid>{ avg($b/bid) }</avgbid>
        </bidder>
  }
</result>

