/*
 * This file belongs to the XQuark distribution.
 * Copyright (C) 2003 Universite de Versailles Saint-Quentin.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307.
 * You can also get it at http://www.gnu.org/licenses/lgpl.html
 * 
 * For more information on this software, see http://www.xquark.org.
 */

package org.xquark.extractor.algebra;

public interface Constants extends  org.xquark.xquery.parser.util.Constants
{

   // Boolean Operators
    public final static int AND = 0;
    public final static int OR = 1;
    public final static int NOT = 2;
    public final static String[] BOOLEAN_OPERATORS = {
					"AND",
					"OR",
                    "NOT"
					};
    // Aggregation functions
    public final static int AVG = 0;
    public final static int COUNT = 1;
    public final static int MAX = 2;
    public final static int MIN = 3;
    public final static int SUM = 4;
    public final static String[] AGGREGATEOPS = {
					"AVG",
					"COUNT",
                    "MAX",
					"MIN",
                    "SUM"
					};
    public final static int LEFT_OUTER_JOIN = 0;
    public final static int RIGHT_OUTER_JOIN = 1;

}
