(:
List all users in alphabetic order by name. For each user, include descriptions of all the items (if any) that were bid on by that user, in alphabetic order. 
:)

<result>
  {
    for $u in collection("users")/*:users
	order by $u/name
    return
        <user>
            { $u/name }
            {
                for $b in distinct-values(collection("bids")/*:bids[userid = $u/userid]/itemno),
                    $i in collection("items")/*:items[itemno = $b]
                order by $i/description/text()
                return
                    <bid_on_item>{ $i/description/text() }</bid_on_item>
            }
        </user>
  }
</result>

