(: 
For all bicycles, list the item number, description, and highest bid (if any), ordered by item number.
:)
import schema namespace bid = "http://www.xquark.org/XQuery/use-cases/bids" at "bids.xsd"

<result>
  {
    for $i in collection("items")/*:items
    let $b := doc("bids.xml")/bid:bids/bid_tuple[itemno = $i/itemno]
    where contains($i/description, "Bicycle")
	order by $i/itemno
    return
        <item>
            { $i/itemno }
            { $i/description }
            <high_bid>{ max($b/bid) }</high_bid>
        </item>
  }
</result> 
