(:
List the names of users, if any, who have bid on every item.
:)
import schema namespace bid = "http://www.xquark.org/XQuery/use-cases/bids" at "bids.xsd"

<frequent_bidder>
  {
    for $u in collection("users")/*:users
    where 
      every $item in collection("items")/*:items satisfies 
        some $b in doc("bids.xml")/bid:bids/bid_tuple satisfies 
          ($item/itemno = $b/itemno and $u/userid = $b/userid)
    return
        $u/name
  }
</frequent_bidder>
