import schema namespace ite = "http://www.xquark.org/XQuery/use-cases/items" at "items.xsd"
import schema namespace bid = "http://www.xquark.org/XQuery/use-cases/bids" at "bids.xsd"
<result>
  {
	for $item in doc("items.xml")/ite:items//item_tuple
	let $b := doc("bids.xml")/bid:bids//bid_tuple[itemno = $item/itemno]
	where $item/reserve_price * 2 < max($b/bid)
	return
		<successful_item>
			{ $item/itemno }
			{ $item/description }
			{ $item/reserve_price }
			<high_bid>{ max($b/bid) }</high_bid>
		</successful_item>
 }
</result>