/*
 * This file belongs to the XQuark distribution.
 * Copyright (C) 2003 Universite de Versailles Saint-Quentin.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307.
 * You can also get it at http://www.gnu.org/licenses/lgpl.html
 * 
 * For more information on this software, see http://www.xquark.org.
 */

package org.xquark.schema.validation;

import org.xquark.schema.Particle;

public interface ContentReporter {
/*
  public void matched(ElementDeclaration decl, int count,
		      int minOccurs, int maxOccurs);

  public void matched(Wildcard wildcard, int count, 
		      int minOccurs, int maxOccurs);
 
  public void skipped(List skipped);
  
  public void alternates(List alternates);

  public void startGroup(int type, int count, int minOccurs, int maxOccurs);

  public void endGroup(int type);

*/  
  public void matched(Particle particle, int count);
 
  public void skipped(Particle particle);
  
  public void alternates(Particle particle);
  
  public void startGroup(Particle particle, int type, int count);

  public void endGroup(Particle particle, int type);
  
}
