/*
 * This file belongs to the XQuark distribution.
 * Copyright (C) 2003 Universite de Versailles Saint-Quentin.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307.
 * You can also get it at http://www.gnu.org/licenses/lgpl.html
 * 
 * For more information on this software, see http://www.xquark.org.
 */

package org.xquark.util;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;

public class DefaultElementHandler implements ElementHandler {
private static final String RCSRevision = "$Revision: 1.1 $"; 
private static final String RCSName     = "$Name:  $";
  public void characters(char[] ch, int start, int length)
    throws SAXException {}
    
  public void endElement(String namespaceURI, String localName) 
    throws SAXException {}
    
  public void ignorableWhitespace(char[] ch, int start, int length) 
    throws SAXException {}
    
  public void processingInstruction(String target, String data) 
    throws SAXException {}
    
  public void skippedEntity(String name) 
    throws SAXException {}
    
  public ElementHandler startElement(String namespaceURI, String localName,
				     Attributes atts) 
    throws SAXException  
  {
        return this;
  }
}
